/* This file is part of GPump, a Pump.io client.
 *
 * GPump (THE SOFTWARE) is made available under the terms and conditions of the
 * GNU Lesser General Public Licence 3.0. A copy of the licence can be read
 * in the file lgpl-3.0.txt in the root of this project.
 */


const Gtk = imports.gi.Gtk;
const _ = imports.gettext.gettext;
const Lang = imports.lang;

/** @file
 */
 
 /** @class
 * AccountUI is the UI that is used for handling of accounts.
 */
const AccountUI = Lang.Class ({
  Name: "AccountUI",
  Extends: Gtk.Dialog,
  
  _init: function () {
    this.parent ({
      use_header_bar: true,
      modal: true,
      title: _("GPump Accounts")
    });
    
    this._prepare_header_bar ();
    
    this.show_all ();
  },
  
  _prepare_header_bar: function () {
    this.headerbar = this.get_header_bar ();
    this.headerbar.set_show_close_button (false);
    this.headerbar.pack_end ((this.close_btn = new Gtk.Button ({
      label: _("close")
    })));
    
    this.close_btn.connect ("clicked", Lang.bind (this, function () {
      this.destroy ();
    }));
    
    /* Install a custom style */
    let special_btn_style_ctx = this.close_btn.get_style_context ();
    special_btn_style_ctx.add_class ("suggested-action");
  },
  
  /**
   * add a new account to the list of accounts  
   */
  _add_new_account: function () {
    
  },
  
  _prepare_view: function () {
    
  }
  
});


